## wmtv 0.6.5

=== Makefile ===
#
#	Makefile for wmtv
#
INCDIR	=	-I/usr/X11R6/include
LIBDIR	=	-L/usr/X11R6/lib
LIBS	=	-lXpm -lXext -lX11 -lXxf86dga -lXxf86vm
OBJS	=	src/wmtv.o \
			src/wmgeneral/wmgeneral.o \

.c.o:
	cc -c -O2 -Wall -D$(shell echo `uname -s`) $< -o $*.o $(INCDIR)

all: wmtv

wmtv: $(OBJS)
	cc -o wmtv $^ $(LIBDIR) $(LIBS)

install:: all
	install -s -m 4755 -o root wmtv /usr/X11R6/bin
	install -m 0644 -o root -g root wmtvrc.sample /etc/wmtvrc

clean:
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmtv

## wmtv 0.6.6

=== debian/changelog ===
wmtv (0.6.6-1) unstable; urgency=medium

  * New upstream release.
    - Includes all previous Debian patches.
  * New maintainer (Debian Window Maker Team) (Closes: #813253).
  * debian/control
    - Tidy up using wrap-and-sort.
    - Add dh-autoreconf and pkg-config to Build-Depends.
    - Add Homepage and Vcs-* fields.
  * debian/copyright
    - Update to DEP5 format.
  * debian/dirs
    - Remove unnecessary file.
  * debian/README.Debian
    - Remove file; note about upstream is out of date and other information is
      covered in the manpage.
  * debian/rules
    - Update to use dh with dh_autoreconf and enable all hardening flags.
    - Link with -Wl,--as-needed to avoid dpkg-shlibdeps "useless dependency"
      warnings.
    - Add get-orig-source target.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - New file.
  * debian/wmtv.1
    - Remove file; added upstream.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 01 Feb 2016 15:10:55 -0500

wmtv (0.6.5-17) unstable; urgency=low

  * The “I should have done that looong ago” release.
  * Acknowledge NMUs.
  * Orphan.

 -- Nicolas Boullis <nboullis@debian.org>  Sat, 30 Jan 2016 23:14:20 +0100

wmtv (0.6.5-16.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrate DH level to 9 to avoid a FTBFS (Closes: #800217).
  * debian/compat
    - Add.
  * debian/control
     - Add the ${misc:Depends} variable to provide the
       right install dependencies.
     - Bump Standards-Version to 3.9.6.
  * debian/rules
    - Remove the DH_COMPAT variable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 26 Dec 2015 00:52:40 -0200

wmtv (0.6.5-16.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - Add libv4l-dev to Build-Depends and replace linux/videodev.h by
      libv4l1-videodev.h (Closes: #621952).

 -- Bart Martens <bartm@debian.org>  Fri, 30 Sep 2011 23:01:13 +0200

wmtv (0.6.5-16) unstable; urgency=low

  * Move the wmtv binary from /usr/X11R6/bin to /usr/bin.
  * Move the wmtv manpage from section 1x to section 1.
  * Build-depend on the needed libx*-dev packages rather than xlibs-dev (that
    misses both libxxf86dga-dev and libxxf86vm-dev).
  * Bump Standards-Version: to 3.6.2 (no change needed).
  * Add a new -c option to choose the video4linux device to use.

 -- Nicolas Boullis <nboullis@debian.org>  Wed,  3 Aug 2005 19:44:25 +0200

wmtv (0.6.5-15) unstable; urgency=low

  * Fix long description thanks to Colin Watson.
  * Fix manpages thanks to Anthony DeRobertis.
  * Fix versionned build-dependency on debhelper thanks to lintian.
  * Remove superfluous "(s)" to "Upstream Author(s)" to please lintian.
  * Update Makefile and debian/rules to support noopt in
    $DEB_BUILD_OPTIONS.
  * Bump Standards-Version to 3.6.1.

 -- Nicolas Boullis <nboullis@debian.org>  Thu, 28 Aug 2003 22:53:19 +0200

wmtv (0.6.5-14) unstable; urgency=low

  * Remove duplicate entry in wmtv.conffiles.
  * Change maintainer's e-mail.
  * wmtv now suggests xawtv.

 -- Nicolas Boullis <nboullis@debian.org>  Fri, 26 Jul 2002 21:29:21 +0200

wmtv (0.6.5-13) unstable; urgency=medium

  * Add missing #include in wmtv.c.
  * Automatically restart the TV when the external application finishes.
  * In fullscreen mode, the left and right arrow keys now behave as
    specified in the README file and in the manpage (Closes: #133301).
  * Add the ability to pass some parameters to the external
    application.
  * Enhance the manpage with descriptions of the new (or previously
    undocumented) features.

 -- Nicolas Boullis <Boullis.Nicolas@libertysurf.fr>  Wed, 20 Feb 2002 02:21:14 +0100

wmtv (0.6.5-12) unstable; urgency=low

  * Catch SIGCHLD signals to remove zombies (Closes: #129435).

 -- Nicolas Boullis <Boullis.Nicolas@libertysurf.fr>  Tue, 29 Jan 2002 01:06:24 +0100

wmtv (0.6.5-11) unstable; urgency=medium

  * Correct a bug introduced in version 0.6.5-9, causing the program to
    segfault while reverting from fullscreen back to normal mode
    (Closes: #128409).

 -- Nicolas Boullis <Boullis.Nicolas@libertysurf.fr>  Wed,  9 Jan 2002 19:48:47 +0100

wmtv (0.6.5-10) unstable; urgency=low

  * Correct capitalization in description (Closes: #125501).
  * Trying to change channel while the TV is off does nothing, and does
    not segfault anymore.
  * Clean Makefile.
  * Correct strange behavior when the mouse is moved out of a pressed
    button.
  * Upgrade policy version to 3.5.6.

 -- Nicolas Boullis <Boullis.Nicolas@libertysurf.fr>  Sat,  5 Jan 2002 02:40:18 +0100

wmtv (0.6.5-9) unstable; urgency=medium

  * The program does not need any more to be setuid root (Closes: #120832).

 -- Nicolas Boullis <Boullis.Nicolas@libertysurf.fr>  Thu, 29 Nov 2001 00:56:56 +0100

wmtv (0.6.5-8) unstable; urgency=high

  * New maintainer.
  * Added support for french channels (Closes: #119767).
  * Can now start even if the user has no configuration file (Closes: #120024).
  * Does not shorten the user's configuration file any more (Closes: #120035).
  * Drop privileges to access files, and then regain privileges
    (Closes: #120825).
  * A new user's configuration file is automatically created when needed.
  * Clean up a few possible buffer overflows.

 -- Nicolas Boullis <Boullis.Nicolas@libertysurf.fr>  Sun, 25 Nov 2001 19:40:37 +0100

wmtv (0.6.5-7) unstable; urgency=high

  * Drop privileges before calling external program. Thanks to
    Nicolas Boullis (Closes: #118778).

 -- Remi Lefebvre <remi@debian.org>  Mon, 12 Nov 2001 17:44:25 -0500

wmtv (0.6.5-6) unstable; urgency=low

  * Add build depend on xlibs-dev (Closes: #106438).

 -- Remi Lefebvre <remi@debian.org>  Tue, 24 Jul 2001 18:40:11 -0400

wmtv (0.6.5-5) unstable; urgency=low

  * Patch to fix bytes per line calculation (Closes: #93439).
  * Config file handling patch from Yann Vernier (Closes: #105325).

 -- Remi Lefebvre <remi@debian.org>  Sat, 21 Jul 2001 09:28:54 -0400

wmtv (0.6.5-4) unstable; urgency=low



=== debian/control ===
Source: wmtv
Section: x11
Priority: extra
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libv4l-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               libxt-dev,
               libxxf86dga-dev,
               libxxf86vm-dev,
               pkg-config
Standards-Version: 3.9.6
Homepage: http://windowmaker.org/dockapps/?name=wmtv
Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmtv.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmtv.git

Package: wmtv
Architecture: any
Depends: v4l-conf, ${misc:Depends}, ${shlibs:Depends}
Suggests: xawtv
Description: Dockable video4linux TV player for WindowMaker
 A miniature size dockable TV application. It currently supports
 channel presets, PAL/SECAM/NTSC, fine tuning, scanning of TV
 stations, use of external TV applications, and more.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmtv-*.download ; then \
		rename -f -v "s/wmtv-(.+)\.download/wmtv_\1\.orig\.tar\.gz/" \
			../wmtv-*.download; \
	fi

=== debian/watch ===
version=3
http://windowmaker.org/dockapps/?name=wmtv \?download=wmtv-(.+).tar.gz

## wmtv 0.6.7

=== debian/changelog ===
wmtv (0.6.7-3) unstable; urgency=medium

  * d/control
    - update Doug's e-mail address
    - add myself to uploaders
    - bump Standards-Version to 4.7.0
    - replace pkg-config build-dep with pkgconf
  * d/gbp.conf
    - DEFAULT: enable `pristine-tar`
  * d/p/fix-typo.patch
    - applied upstream

 -- Jeremy Sowden <azazel@debian.org>  Thu, 23 Jan 2025 14:53:36 +0000

wmtv (0.6.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/control
    - Bump debhelper from old 12 to 13.
  * debian/copyright
    - Use spaces rather than tabs to start continuation lines.
  * debian/rules
    - Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Doug Torrance ]
  * debian/control
    - Update Maintainer email address to tracker.d.o.
    - Bump Standards-Version to 4.6.0.
    - Switch Architecture to linux-any.
  * debian/patches/fix-typo.patch
    - New patch; fix typo.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 10 Oct 2021 11:28:24 -0400

wmtv (0.6.7-1) unstable; urgency=medium

  [ Doug Torrance ]
  * New upstream release.
    - Use extern when declaring global variables in header file
      (Closes: #957953).
  * debian/compat
    - Remove file; unnecessary now that we use debhelper-compat.
  * debian/control
    - Switch Priority from extra to optional.
    - Bump Standards-Version to 4.5.0.
    - Bump to debhelper compatibility level 12 by adding
      debhelper-compat to Build-Depends.
    - Update Vcs-* after migration to Salsa.
    - Update Homepage to dockapps.net.
    - Drop dh-autoreconf from Build-Depends; unnecessary after
      debhelper 10.
    - Add Rules-Requires-Root field.
  * debian/copyright
    - Update Format and Source to https.
  * debian/watch
    - Switch to dockapps.net.
  * debian/rules
    - Drop unnecessary get-orig-source target.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.

  [ Andreas Metzler ]
  * Drop --with autoreconf from dh invocation. (Enabled by default since dh10)
  * Update upstream contact in debian/copyright.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 18 Apr 2020 11:53:22 -0400

=== debian/control ===
Source: wmtv
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@debian.org>,
           Jeremy Sowden <azazel@debian.org>
Build-Depends: debhelper-compat (= 13),
               libv4l-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               libxt-dev,
               libxxf86dga-dev,
               libxxf86vm-dev,
               pkgconf
Standards-Version: 4.7.0
Homepage: https://www.dockapps.net/wmtv
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmtv
Vcs-Git: https://salsa.debian.org/wmaker-team/wmtv.git
Rules-Requires-Root: no

Package: wmtv
Architecture: linux-any
Depends: v4l-conf, ${misc:Depends}, ${shlibs:Depends}
Suggests: xawtv
Description: Dockable video4linux TV player for WindowMaker
 A miniature size dockable TV application. It currently supports
 channel presets, PAL/SECAM/NTSC, fine tuning, scanning of TV
 stations, use of external TV applications, and more.
